ceph: disable dashboard
[infra/stack/kubernetes.git] / test-requirements.txt
index 13213c7..19b0cbd 100644 (file)
@@ -1,10 +1,56 @@
 #-------------------------------------------------------------------------------
-# This file contains engine python requirement version pins.
-# Changing versions might have side effects!
+# This file contains python requirement version pins for tox.
+# Do not modify this file unless you know what you are doing.
+# Modifying this file may result in unexpected behavior.
 #-------------------------------------------------------------------------------
 
-# NOTE: engine test requirements
-tox==3.14.3
+# NOTE (fdegir): tox python requirements
+alabaster==0.7.12
+ansible==2.9.6
 ansible-lint==4.1.0
-yamllint==1.19.0
+appdirs==1.4.4
+Babel==2.8.0
+certifi==2020.6.20
+cffi==1.14.3
+chardet==3.0.4
+cryptography==3.1.1
+distlib==0.3.1
+docutils==0.16
+filelock==3.0.12
+idna==2.10
+imagesize==1.2.0
+importlib-metadata==1.7.0
+importlib-resources==3.0.0
+Jinja2==2.11.2
+MarkupSafe==1.1.1
+packaging==20.4
+pathspec==0.8.0
+pluggy==0.13.1
+py==1.9.0
+pycparser==2.20
+Pygments==2.7.1
+pyparsing==2.4.7
+pytz==2020.1
+PyYAML==5.3.1
+requests==2.24.0
+rtcat-sphinx-theme==0.1.1
+ruamel.yaml==0.16.12
+ruamel.yaml.clib==0.2.2
 shellcheck-py==0.7.0.1
+six==1.15.0
+snowballstemmer==2.0.0
+Sphinx==2.3.1
+sphinxcontrib-applehelp==1.0.2
+sphinxcontrib-devhelp==1.0.2
+sphinxcontrib-htmlhelp==1.0.3
+sphinxcontrib-jsmath==1.0.1
+sphinxcontrib-qthelp==1.0.3
+sphinxcontrib-serializinghtml==1.1.4
+toml==0.10.1
+tox==3.14.3
+urllib3==1.25.10
+virtualenv==20.0.33
+yamllint==1.19.0
+zipp==3.3.0
+
+# vim: set ts=2 sw=2 expandtab: